- name: Wait 300 seconds
  wait_for_connection:
    delay: 300
    timeout: 300

- name: Enable dns
  shell: |
    microk8s enable dns
    exit 0
  when: inventory_hostname == groups['kube-master'][0]

- name: Enable ingress
  shell: |
    microk8s enable ingress
    exit 0
  when: inventory_hostname == groups['kube-master'][0]

- name: Pause 2 minutes to finish deployment
  pause:
    minutes: 2

- name: Enable metrics-server
  shell: |
    microk8s enable metrics-server
    exit 0
  when: inventory_hostname == groups['kube-master'][0]

- name: Pause 2 minutes to finish deployment
  pause:
    minutes: 2

- name: Enable prometheus
  shell: |
    microk8s enable prometheus
    exit 0
  when: inventory_hostname == groups['kube-master'][0]

- name: Pause 2 minutes to finish deployment
  pause:
    minutes: 2

- name: Enable storage
  shell: |
    microk8s enable storage
    exit 0
  when: inventory_hostname == groups['kube-master'][0]

- name: Pause 2 minutes to finish deployment
  pause:
    minutes: 2

- name: Addons status
  command: microk8s status --wait-ready
  register: microk8s_status

- debug: msg="{{ microk8s_status.stdout_lines }}"

